### GET /api/v1/ailake/database/instances Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Lists database instances in the organization's AI Lake. Supports paging via page and size query parameters. Use metaInclude=page to get total count. ```markdown ### Parameters - **page** (string, query, optional): Zero-based page number. - **size** (string, query, optional): Number of items per page. - **metaInclude** (array (string), query, optional) ### Responses #### 200 - AI Lake database instances successfully retrieved **ListDatabaseInstancesResponse** - **databases** (array (DatabaseInstance)) (required): List of database instances Array items: - **dataSources** (array (DataSourceInfo)) (required): All data source associations for this database instance. Array items: - **dataSourceId** (string) (required): Identifier of the data source in metadata-api. - **dataSourceName** (string) (required): Display name of the data source in metadata-api. - **id** (string) (required): Id of the data source association record. - **id** (string) (required): Id of the AI Lake Database instance - **name** (string) (required): Name of the AI Lake Database instance - **storageIds** (array (string)) (required): Set of ids of the storage instances this database instance should access. - **totalCount** (integer (int32)): Total count of items (only set when metaInclude=page) ### Example Usage ```bash curl -X GET "//api/v1/ailake/database/instances?page=0&size=50&metaInclude=item1,item2" ``` ``` -------------------------------- ### GET /api/v1/actions/workspaces/{workspaceId}/export/tabular/{exportId} Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json After clients creates a POST export request, the processing of it will start shortly asynchronously. To retrieve the result, client has to check periodically for the result on this endpoint. In case the result isn't ready yet, the service returns 202. If the result is ready, it returns 200 and octet stream of the result file with provided filename. ```markdown ### Parameters - **workspaceId** (string, path, required) - **exportId** (string, path, required) ### Responses #### 200 - Binary export result. #### 202 - Request is accepted, provided exportId exists, but export is not yet ready. ### Example Usage ```bash curl -X GET "//api/v1/actions/workspaces/{workspaceId}/export/tabular/{exportId}" ``` ``` -------------------------------- ### GET /api/v1/entities/themes Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json API endpoint for GET /api/v1/entities/themes ```markdown ### Parameters - **filter** (string, query, optional): Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123'). - **page** (integer, query, optional): Zero-based page index (0..N) - **size** (integer, query, optional): The size of the page to be returned - **sort** (array (string), query, optional): Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. - **metaInclude** (array (string (page|all|ALL)), query, optional): Include Meta objects. ### Responses #### 200 - Request successfully processed **JsonApiThemeOutList** - **data** (array (JsonApiThemeOutWithLinks)) (required) Array items: - **attributes** (object) (required) - **content** (object) (required): Free-form JSON content. Maximum supported length is 15000 characters. (example: {}) - **name** (string) (required) - **id** (string) (required): API identifier of an object (example: "id1") - **type** (string (theme)) (required): Object type (example: "theme") ("theme") - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **next** (string (uri)): A string containing the link's URL for the next page of data. - **meta** (object) - **page** (object) - **number** (integer (int32)): The number of the current page - **size** (integer (int32)): The size of the current page - **totalElements** (integer (int32)): The total number of elements - **totalPages** (integer (int32)): The total number of pages **JsonApiThemeOutList** ### Example Usage ```bash curl -X GET "//api/v1/entities/themes?filter=string&page=0&size=20&sort=item1,item2&metaInclude=item1,item2" ``` ``` -------------------------------- ### POST /api/v1/ailake/database/instances/{instanceId}/pipeTables Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Creates a pipe-backed OLAP table in the given AI Lake database instance. Infers schema from parquet files. Returns an operation-id header the client can use to poll for progress. ```markdown ### Parameters - **instanceId** (string, path, required): Database instance identifier. Accepts the database name (preferred) or UUID. - **operation-id** (string, header, optional) ### Request Body **Content-Type:** application/json - **aggregationOverrides** (object): Maps non-key column names to their StarRocks aggregation function (SUM, MIN, MAX, REPLACE, REPLACE_IF_NOT_NULL, HLL_UNION, BITMAP_UNION, PERCENTILE_UNION). Required for every non-key column when keyConfig type is 'aggregate'. Ignored for other key types. - **columnExpressions** (object): Per-target-column projection overrides. Each entry emits `() AS ` in the SELECT list of the generated CREATE PIPE ... AS INSERT; keys absent from the map are projected as-is. Required for AGGREGATE-KEY tables that include native HLL columns (StarRocks rejects raw VARBINARY into HLL columns). - **columnOverrides** (object): Override inferred column types. Maps column names to SQL type strings (e.g. {"year": "INT", "event_date": "DATE"}). Applied after parquet schema inference. - **distributionConfig** (object): Distribution configuration for the OLAP table. - **type** (string) (required) - **keyConfig** (object): Key configuration for the table data model. - **maxVarcharLength** (integer (int32)): Cap VARCHAR(N) to this length when N exceeds it. 0 = no cap. - **partitionConfig** (object): Partition configuration for the table. - **pathPrefix** (string) (required): Path prefix to the parquet files (e.g. 'my-dataset/year=2024/'). All parquet files must be at a uniform depth under the prefix — either all directly under the prefix, or all under a consistent Hive partition hierarchy (e.g. year=2024/month=01/). Mixed layouts (files at multiple depths) are not supported. - **pollingIntervalSeconds** (integer (int32)): How often (in seconds) the pipe polls for new files. 0 or null = use server default. - **sourceStorageName** (string) (required): Name of the pre-configured S3/MinIO ObjectStorage source - **tableName** (string) (required): Name of the OLAP table to create. Must match ^[a-z][a-z0-9_-]{0,62}$ - **tableProperties** (object): CREATE TABLE PROPERTIES key-value pairs. Defaults to {"replication_num": "1"}. ### Responses #### 202 - Accepted **Unit** ### Example Usage ```bash curl -X POST "//api/v1/ailake/database/instances/{instanceId}/pipeTables" \ -H "Content-Type: application/json" \ -d '{ "aggregationOverrides": "value", "columnExpressions": "value", "columnOverrides": "value", "distributionConfig": "value", "keyConfig": "value", "maxVarcharLength": "0", "partitionConfig": "value", "pathPrefix": "string", "pollingIntervalSeconds": "0", "sourceStorageName": "string", "tableName": "string", "tableProperties": "value" }' ``` ``` -------------------------------- ### GET /api/v1/entities/organizationSettings Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json API endpoint for GET /api/v1/entities/organizationSettings ```markdown ### Parameters - **filter** (string, query, optional): Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123'). - **page** (integer, query, optional): Zero-based page index (0..N) - **size** (integer, query, optional): The size of the page to be returned - **sort** (array (string), query, optional): Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. - **metaInclude** (array (string (page|all|ALL)), query, optional): Include Meta objects. ### Responses #### 200 - Request successfully processed **JsonApiOrganizationSettingOutList** - **data** (array (JsonApiOrganizationSettingOutWithLinks)) (required) Array items: - **attributes** (object) - **content** (object): Free-form JSON content. Maximum supported length is 15000 characters. (example: {}) - **type** (string (TIMEZONE|ACTIVE_THEME|ACTIVE_COLOR_PALETTE|ACTIVE_LLM_PROVIDER|ACTIVE_CALENDARS|WHITE_LABELING|LOCALE|METADATA_LOCALE|FORMAT_LOCALE|MAPBOX_TOKEN|GEO_ICON_SHEET|AG_GRID_TOKEN|WEEK_START|FISCAL_YEAR|SHOW_HIDDEN_CATALOG_ITEMS|OPERATOR_OVERRIDES|TIMEZONE_VALIDATION_ENABLED|OPENAI_CONFIG|ENABLE_FILE_ANALYTICS|ALERT|SEPARATORS|DATE_FILTER_CONFIG|JIT_PROVISIONING|JWT_JIT_PROVISIONING|DASHBOARD_FILTERS_APPLY_MODE|ENABLE_SLIDES_EXPORT|ENABLE_SNAPSHOT_EXPORT|AI_RATE_LIMIT|ATTACHMENT_SIZE_LIMIT|ATTACHMENT_LINK_TTL|AD_CATALOG_GROUPS_DEFAULT_EXPAND_STATE|ENABLE_DRILL_TO_URL_BY_DEFAULT|ALLOW_UNSAFE_FLEX_CONNECT_ENDPOINTS|ENABLE_AUTOMATION_EVALUATION_MODE|ENABLE_ACCESSIBILITY_MODE|REGISTERED_PLUGGABLE_APPLICATIONS|DATA_LOCALE|LDM_DEFAULT_LOCALE|EXPORT_RESULT_POLLING_TIMEOUT_SECONDS|MAX_ZOOM_LEVEL|SORT_CASE_SENSITIVE|SORT_COLLATION|METRIC_FORMAT_OVERRIDE|ENABLE_AI_ON_DATA|ENABLE_PARTIAL_DATA_RESULTS|API_ENTITIES_DEFAULT_CONTENT_MEDIA_TYPE|EXPORT_CSV_CUSTOM_DELIMITER|ENABLE_QUERY_TAGS|RESTRICT_BASE_UI|CERTIFY_PARENT_OBJECTS|HLL_TYPE)) ("TIMEZONE"|"ACTIVE_THEME"|"ACTIVE_COLOR_PALETTE"|"ACTIVE_LLM_PROVIDER"|"ACTIVE_CALENDARS"|"WHITE_LABELING"|"LOCALE"|"METADATA_LOCALE"|"FORMAT_LOCALE"|"MAPBOX_TOKEN"|"GEO_ICON_SHEET"|"AG_GRID_TOKEN"|"WEEK_START"|"FISCAL_YEAR"|"SHOW_HIDDEN_CATALOG_ITEMS"|"OPERATOR_OVERRIDES"|"TIMEZONE_VALIDATION_ENABLED"|"OPENAI_CONFIG"|"ENABLE_FILE_ANALYTICS"|"ALERT"|"SEPARATORS"|"DATE_FILTER_CONFIG"|"JIT_PROVISIONING"|"JWT_JIT_PROVISIONING"|"DASHBOARD_FILTERS_APPLY_MODE"|"ENABLE_SLIDES_EXPORT"|"ENABLE_SNAPSHOT_EXPORT"|"AI_RATE_LIMIT"|"ATTACHMENT_SIZE_LIMIT"|"ATTACHMENT_LINK_TTL"|"AD_CATALOG_GROUPS_DEFAULT_EXPAND_STATE"|"ENABLE_DRILL_TO_URL_BY_DEFAULT"|"ALLOW_UNSAFE_FLEX_CONNECT_ENDPOINTS"|"ENABLE_AUTOMATION_EVALUATION_MODE"|"ENABLE_ACCESSIBILITY_MODE"|"REGISTERED_PLUGGABLE_APPLICATIONS"|"DATA_LOCALE"|"LDM_DEFAULT_LOCALE"|"EXPORT_RESULT_POLLING_TIMEOUT_SECONDS"|"MAX_ZOOM_LEVEL"|"SORT_CASE_SENSITIVE"|"SORT_COLLATION"|"METRIC_FORMAT_OVERRIDE"|"ENABLE_AI_ON_DATA"|"ENABLE_PARTIAL_DATA_RESULTS"|"API_ENTITIES_DEFAULT_CONTENT_MEDIA_TYPE"|"EXPORT_CSV_CUSTOM_DELIMITER"|"ENABLE_QUERY_TAGS"|"RESTRICT_BASE_UI"|"CERTIFY_PARENT_OBJECTS"|"HLL_TYPE") - **id** (string) (required): API identifier of an object (example: "id1") - **type** (string (organizationSetting)) (required): Object type (example: "organizationSetting") ("organizationSetting") - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **next** (string (uri)): A string containing the link's URL for the next page of data. - **meta** (object) - **page** (object) - **number** (integer (int32)): The number of the current page - **size** (integer (int32)): The size of the current page - **totalElements** (integer (int32)): The total number of elements - **totalPages** (integer (int32)): The total number of pages **JsonApiOrganizationSettingOutList** ### Example Usage ```bash curl -X GET "//api/v1/entities/organizationSettings?filter=string&page=0&size=20&sort=item1,item2&metaInclude=item1,item2" ``` ``` -------------------------------- ### POST /api/v1/ailake/database/instances Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Creates a new database in the organization's AI Lake. Returns an operation-id in the operation-id header the client can use to poll for the progress. ```markdown ### Parameters - **operation-id** (string, header, optional) ### Request Body **Content-Type:** application/json - **dataSourceId** (string): Identifier for the data source created in metadata-api. Defaults to the database name. - **dataSourceName** (string): Display name for the data source created in metadata-api. Defaults to the database name. - **name** (string) (required): Name of the database instance - **storageIds** (array (string)) (required): Set of ids of the storage instances this database instance should access. ### Responses #### 202 - Accepted **Unit** ### Example Usage ```bash curl -X POST "//api/v1/ailake/database/instances" \ -H "Content-Type: application/json" \ -d '{ "dataSourceId": "string", "dataSourceName": "string", "name": "string", "storageIds": [ "string" ] }' ``` ``` -------------------------------- ### GET /api/v1/entities/organization/workspaceAutomations Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json API endpoint for GET /api/v1/entities/organization/workspaceAutomations ```markdown ### Parameters - **filter** (string, query, optional): Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123'). - **include** (array (string (workspaces|notificationChannels|analyticalDashboards|userIdentifiers|exportDefinitions|users|automationResults|workspace|notificationChannel|analyticalDashboard|createdBy|modifiedBy|recipients|ALL)), query, optional): Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL). __WARNING:__ Individual include types (collection, relationship or ALL) cannot be combined together. - **page** (integer, query, optional): Zero-based page index (0..N) - **size** (integer, query, optional): The size of the page to be returned - **sort** (array (string), query, optional): Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. - **metaInclude** (array (string (page|all|ALL)), query, optional): Include Meta objects. ### Responses #### 200 - Request successfully processed **JsonApiWorkspaceAutomationOutList** - **data** (array (JsonApiWorkspaceAutomationOutWithLinks)) (required) Array items: - **attributes** (object) - **alert** (object) - **condition** (object) (required) - **comparison** (object) (required) - **left** (object) (required) - **format** (string): Metric format. (example: "#,##0") - **localIdentifier** (string) (required): Local identifier of the metric to be compared. (example: "m1") - **title** (string): Metric title. (example: "Revenue") - **operator** (string (GREATER_THAN|GREATER_THAN_OR_EQUAL_TO|LESS_THAN|LESS_THAN_OR_EQUAL_TO|EQUAL_TO|NOT_EQUAL_TO)) (required) ("GREATER_THAN"|"GREATER_THAN_OR_EQUAL_TO"|"LESS_THAN"|"LESS_THAN_OR_EQUAL_TO"|"EQUAL_TO"|"NOT_EQUAL_TO") - **right** (object) (required) - **execution** (object) (required) - **attributes** (array (AttributeItem)): Attributes to be used in the computation. Array items: - **label** (object) (required) - **identifier** (object) (required) - **id** (string) (required) (example: "sample_item.price") - **type** (string (label)) (required) ("label") - **localIdentifier** (string) (required): Local identifier of the attribute. This can be used to reference the attribute in other parts of the execution definition. (example: "attribute_1") - **showAllValues** (boolean): Indicates whether to show all values of given attribute even if the data bound to those values is not available. - **auxMeasures** (array (MeasureItem)): Metrics to be referenced from other AFM objects (e.g. filters) but not included in the result. Array items: - **definition** (object) (required): Metric defined by the raw MAQL query. - **inline** (object) (required) - **maql** (string) (required): MAQL query defining the metric. - **localIdentifier** (string) (required): Local identifier of the metric. This can be used to reference the metric in other parts of the execution definition. (example: "metric_1") - **filters** (array (FilterDefinition)) (required): Various filter types to filter execution result. For anomaly detection, exactly one dataset is specified in the condition. The AFM may contain multiple date filters for different datasets, but only the date filter matching the dataset from the condition is used for anomaly detection. Array items: - **inline** (object) (required) - **applyOnResult** (boolean) - **filter** (string) (required) - **localIdentifier** (string) - **measures** (array (MeasureItem)) (required): Metrics to be computed. One metric if the alert condition is evaluated to a scalar. Two metrics when they should be evaluated to each other. Array items: - **interval** (string (DAY|WEEK|MONTH|QUARTER|YEAR)): Date granularity for the interval of ONCE_PER_INTERVAL trigger. Supported granularities: DAY, WEEK, MONTH, QUARTER, YEAR. ("DAY"|"WEEK"|"MONTH"|"QUARTER"|"YEAR") - **trigger** (string (ALWAYS|ONCE|ONCE_PER_INTERVAL)): Trigger behavior for the alert. ALWAYS - alert is triggered every time the condition is met. ONCE - alert is triggered only once when the condition is met. ONCE_PER_INTERVAL - alert is triggered when the condition is met, then suppressed for the interval. If no interval is specified, it behaves as ALWAYS. ("ALWAYS"|"ONCE"|"ONCE_PER_INTERVAL") - **areRelationsValid** (boolean) - **createdAt** (string (date-time)) - **dashboardTabularExports** (array (object)) Array items: - **requestPayload** (object) (required): Export request object describing the export properties for dashboard tabular exports (v2 with dashboardId). - **dashboardFiltersOverride** (array (DashboardFilter)): List of filters that will be used instead of the default dashboard filters. Array items: - **attributeFilter** (object) (required) - **attributeElements** (object) (required) - **uris** (array (string)) (required): List of attribute elements by reference - **displayForm** (object) (required) - **filterElementsBy** (array (AttributeFilterParent)) Array items: - **filterLocalIdentifier** (string) (required) - **over** (object) (required) - **attributes** (array (IdentifierRef)) (required) Array items: - **filterElementsByDate** (array (AttributeFilterByDate)) Array items: - **filterLocalIdentifier** (string) (required) - **isCommonDate** (boolean) (required) - **localIdentifier** (string) - **negativeSelection** (boolean) (required) - **selectionMode** (string (single|multi)) ("single"|"multi") - **title** (string) - **validateElementsBy** (array (IdentifierRef)) Array items: - **dashboardId** (string) (required): Dashboard identifier (example: "761cd28b-3f57-4ac9-bbdc-1c552cc0d1d0") - **dashboardTabsFiltersOverrides** (object): Map of tab-specific filter overrides. Key is tabId, value is list of filters for that tab. - **fileName** (string) (required): Filename of downloaded file without extension. (example: "result") - **format** (string (XLSX|PDF)) (required): Requested tabular export type. (example: "XLSX") ("XLSX"|"PDF") - **settings** (object): Additional settings. - **exportInfo** (boolean): If true, the export will contain the information about the export – exported date, dashboard filters, etc. (example: true) - **mergeHeaders** (boolean): Merge equal headers in neighbouring cells. Used for [XLSX] format only. (example: true) - **pageOrientation** (string (PORTRAIT|LANDSCAPE)): Set page orientation. (PDF) ("PORTRAIT"|"LANDSCAPE") - **pageSize** (string (A3|A4|LETTER)): Set page size. (PDF) ("A3"|"A4"|"LETTER") - **widgetIds** (array (string)): List of widget identifiers to be exported. Note that only one widget is currently supported. - **description** (string) - **details** (object): Additional details to be included in the automated message. - **evaluationMode** (string (SHARED|PER_RECIPIENT)): Specify automation evaluation mode. ("SHARED"|"PER_RECIPIENT") - **externalRecipients** (array (object)): External recipients of the automation action results. Array items: - **email** (string (email)) (required): E-mail address to send notifications from. - **imageExports** (array (object)) Array items: - **metadata** (object): Additional information for the automation. - **visibleFilters** (array (VisibleFilter)) Array items: - **isAllTimeDateFilter** (boolean): Indicates if the filter is an all-time date filter. Such a filter is not included in report computation, so there is no filter with the same 'localIdentifier' to be found. In such cases, this flag is used to inform the server to not search for the filter in the definitions and include it anyways. - **localIdentifier** (string) - **title** (string) - **widget** (string) - **modifiedAt** (string (date-time)) - **rawExports** (array (object)) Array items: - **schedule** (object) - **cron** (string) (required): Cron expression defining the schedule of the automation. The format is SECOND MINUTE HOUR DAY-OF-MONTH MONTH DAY-OF-WEEK (YEAR). The example expression signifies an action every 30 minutes from 9:00 to 17:00 on workdays. (example: "0 */30 9-17 ? * MON-FRI") - **cronDescription** (string): Human-readable description of the cron expression. - **firstRun** (string (date-time)): Timestamp of the first scheduled action. If not provided default to the next scheduled time. (example: "2025-01-01T12:00:00Z") - **timezone** (string) (required): Timezone in which the schedule is defined. (example: "Europe/Prague") - **slidesExports** (array (object)) Array items: - **state** (string (ACTIVE|PAUSED)): Current state of the automation. ("ACTIVE"|"PAUSED") - **tabularExports** (array (object)) Array items: - **tags** (array (string)) - **title** (string) - **visualExports** (array (object)) Array items: - **id** (string) (required): API identifier of an object (example: "id1") - **relationships** (object) - **analyticalDashboard** (object) - **data** (object) (required): The \"type\" and \"id\" to non-empty members. - **automationResults** (object) - **createdBy** (object) - **exportDefinitions** (object) - **modifiedBy** (object) - **notificationChannel** (object) - **recipients** (object) - **workspace** (object) - **type** (string (workspaceAutomation)) (required): Object type (example: "workspaceAutomation") ("workspaceAutomation") - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **included** (array (JsonApiWorkspaceAutomationOutIncludes)): Included resources Array items: - **attributes** (object) (required) - **areRelationsValid** (boolean) - **certification** (string (CERTIFIED)): Certification status of the entity. ("CERTIFIED") - **certificationMessage** (string): Optional message associated with the certification. - **certifiedAt** (string (date-time)): Time when the certification was set. (example: "2023-07-20 12:30") - **content** (object) (required): Free-form JSON content. Maximum supported length is 250000 characters. (example: {"identifier":{"id":"label.leaf","type":"label"},"someBoolProp":false}) - **createdAt** (string (date-time)): Time of the entity creation. (example: "2023-07-20 12:30") - **description** (string) - **modifiedAt** (string (date-time)): Time of the last entity modification. (example: "2023-07-20 12:30") - **summary** (string): AI-generated summary of the dashboard content - **tags** (array (string)) - **title** (string) - **id** (string) (required): API identifier of an object (example: "id1") - **meta** (object) - **accessInfo** (object) - **private** (boolean) (required): is the entity private to the currently logged-in user - **origin** (object) - **originId** (string) (required): defines id of the workspace where the entity comes from - **originType** (string (NATIVE|PARENT)) (required): defines type of the origin of the entity ("NATIVE"|"PARENT") - **permissions** (array (string (EDIT|SHARE|VIEW))): List of valid permissions for a logged-in user. - **relationships** (object) - **analyticalDashboards** (object) - **certifiedBy** (object) - **createdBy** (object) - **dashboardPlugins** (object) - **datasets** (object) - **filterContexts** (object) - **labels** (object) - **metrics** (object) - **modifiedBy** (object) - **parameters** (object) - **visualizationObjects** (object) - **type** (string (analyticalDashboard)) (required): Object type (example: "analyticalDashboard") ("analyticalDashboard") - **links** (object) - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **next** (string (uri)): A string containing the link's URL for the next page of data. - **meta** (object) - **page** (object) - **number** (integer (int32)): The number of the current page - **size** (integer (int32)): The size of the current page - **totalElements** (integer (int32)): The total number of elements - **totalPages** (integer (int32)): The total number of pages **JsonApiWorkspaceAutomationOutList** ### Example Usage ```bash curl -X GET "//api/v1/entities/organization/workspaceAutomations?filter=string&include=item1,item2&page=0&size=20&sort=item1,item2&metaInclude=item1,item2" ``` ``` -------------------------------- ### POST /api/v1/actions/workspaces/{workspaceId}/execution/visualization/{visualizationObjectId}/execute Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Fetches a stored visualization object by ID, converts it to an AFM execution, and returns a link to the result. Optionally accepts additional AFM filters merged on top of the visualization's own filters. ```markdown ### Parameters - **workspaceId** (string, path, required): Workspace identifier - **visualizationObjectId** (string, path, required) - **skip-cache** (boolean, header, optional): Ignore all caches during execution of current request. ### Request Body **Content-Type:** application/json - **filters** (array (FilterDefinition)): Additional AFM filters merged on top of the visualization object's own filters. Array items: - **inline** (object) (required) - **applyOnResult** (boolean) - **filter** (string) (required) - **localIdentifier** (string) - **settings** (object): Various settings affecting the process of AFM execution or its result - **dataSamplingPercentage** (number (float)): Specifies the percentage of rows from fact datasets to use during computation. This feature is available only for workspaces that use a Vertica Data Source without table views. - **timestamp** (string (date-time)): Specifies the timestamp of the execution from which relative filters are resolved. If not set, the current time is used. ### Responses #### 200 - AFM Execution response with links to the result and server-enhanced dimensions. **AfmExecutionResponse** - **executionResponse** (object) (required): Response to AFM execution request body - **dimensions** (array (ResultDimension)) (required): Dimensions of the result Array items: - **headers** (array (ResultDimensionHeader)) (required) Array items: - **measureGroupHeaders** (array (MeasureHeader)) Array items: - **format** (string): Format to be used to format the measure data. - **localIdentifier** (string) (required): Local identifier of the measure this header relates to. - **name** (string): Name of the measure. - **localIdentifier** (string) (required): Local identifier of the dimension. - **links** (object) (required): Links to the execution result. - **executionResult** (string) (required): Link to the result data. ### Example Usage ```bash curl -X POST "//api/v1/actions/workspaces/{workspaceId}/execution/visualization/{visualizationObjectId}/execute" \ -H "Content-Type: application/json" \ -d '{ "filters": [ "value" ], "settings": "value" }' ``` ``` -------------------------------- ### GET /api/v1/ailake/database/instances/{instanceId}/pipeTables/{tableName} Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Returns full details of the specified pipe table. ```markdown ### Parameters - **instanceId** (string, path, required): Database instance identifier. Accepts the database name (preferred) or UUID. - **tableName** (string, path, required): Pipe table name. ### Responses #### 200 - AI Lake pipe table successfully retrieved **PipeTable** - **columns** (array (ColumnInfo)) (required): Inferred column schema Array items: - **name** (string) (required): Column name - **type** (string) (required): SQL column type (e.g. VARCHAR(200), BIGINT, DOUBLE) - **databaseName** (string) (required): Database name - **distributionConfig** (object) (required): Hash-based distribution across buckets. - **buckets** (integer (int32)): Number of hash buckets. Defaults to 1. - **columns** (array (string)): Columns to distribute by. Defaults to first column. - **keyConfig** (object) (required): Aggregate key model — pre-aggregates rows sharing the same key columns. - **columns** (array (string)): Key columns. Defaults to first inferred column. - **partitionColumns** (array (string)) (required): Hive partition columns detected from the path structure - **partitionConfig** (object): Partition by column expression. - **pathPrefix** (string) (required): Path prefix to the parquet files - **pipeTableId** (string) (required): Internal UUID of the pipe table record - **pollingIntervalSeconds** (integer (int32)) (required): How often (in seconds) the pipe polls for new files. 0 = server default. - **sourceStorageName** (string) (required): Source ObjectStorage name - **tableName** (string) (required): OLAP table name - **tableProperties** (object) (required): CREATE TABLE PROPERTIES key-value pairs ### Example Usage ```bash curl -X GET "//api/v1/ailake/database/instances/{instanceId}/pipeTables/{tableName}" ``` ``` -------------------------------- ### GET /api/v1/entities/organization Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json Gets a basic information about organization. ```markdown ### Parameters - **metaInclude** (array (string (permissions|all)), query, optional): Return list of permissions available to logged user. ### Responses #### 302 - Redirect to entity URI. Redirect to entity URI. ### Example Usage ```bash curl -X GET "//api/v1/entities/organization?metaInclude=item1,item2" ``` ``` -------------------------------- ### GET /api/v1/entities/notificationChannels Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json API endpoint for GET /api/v1/entities/notificationChannels ```markdown ### Parameters - **filter** (string, query, optional): Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123'). - **page** (integer, query, optional): Zero-based page index (0..N) - **size** (integer, query, optional): The size of the page to be returned - **sort** (array (string), query, optional): Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. - **metaInclude** (array (string (page|all|ALL)), query, optional): Include Meta objects. ### Responses #### 200 - Request successfully processed **JsonApiNotificationChannelOutList** - **data** (array (JsonApiNotificationChannelOutWithLinks)) (required) Array items: - **attributes** (object) - **allowedRecipients** (string (CREATOR|INTERNAL|EXTERNAL)): Allowed recipients of notifications from this channel. CREATOR - only the creator INTERNAL - all users within the organization EXTERNAL - all recipients including those outside the organization ("CREATOR"|"INTERNAL"|"EXTERNAL") - **customDashboardUrl** (string): Custom dashboard url that is going to be used in the notification. If not specified it is going to be deduced based on the context. Allowed placeholders are: {workspaceId} {dashboardId} {automationId} {asOfDate} - **dashboardLinkVisibility** (string (HIDDEN|INTERNAL_ONLY|ALL)): Dashboard link visibility in notifications. HIDDEN - the link will not be included INTERNAL_ONLY - only internal users will see the link ALL - all users will see the link ("HIDDEN"|"INTERNAL_ONLY"|"ALL") - **description** (string) - **destination** (object) - **fromEmail** (string (email)): E-mail address to send notifications from. Currently this does not have any effect. E-mail 'no-reply@gooddata.com' is used instead. - **fromEmailName** (string): An optional e-mail name to send notifications from. Currently this does not have any effect. E-mail from name 'GoodData' is used instead. - **type** (string (DEFAULT_SMTP)): The destination type. ("DEFAULT_SMTP") - **destinationType** (string (WEBHOOK|SMTP|DEFAULT_SMTP|IN_PLATFORM)) ("WEBHOOK"|"SMTP"|"DEFAULT_SMTP"|"IN_PLATFORM") - **inPlatformNotification** (string (DISABLED|ENABLED)): In-platform notifications configuration. No effect if the destination type is IN_PLATFORM. DISABLED - in-platform notifications are not sent ENABLED - in-platform notifications are sent in addition to the regular notifications ("DISABLED"|"ENABLED") - **name** (string) - **notificationSource** (string): Human-readable description of the source of the notification. If specified, this propertywill be included in the notifications to this channel.Allowed placeholders are: {{workspaceId}} {{workspaceName}} {{workspaceDescription}} {{dashboardId}} {{dashboardName}} {{dashboardDescription}} - **id** (string) (required): API identifier of an object (example: "id1") - **type** (string (notificationChannel)) (required): Object type (example: "notificationChannel") ("notificationChannel") - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **next** (string (uri)): A string containing the link's URL for the next page of data. - **meta** (object) - **page** (object) - **number** (integer (int32)): The number of the current page - **size** (integer (int32)): The size of the current page - **totalElements** (integer (int32)): The total number of elements - **totalPages** (integer (int32)): The total number of pages **JsonApiNotificationChannelOutList** ### Example Usage ```bash curl -X GET "//api/v1/entities/notificationChannels?filter=string&page=0&size=20&sort=item1,item2&metaInclude=item1,item2" ``` ``` -------------------------------- ### POST /api/v1/actions/organization/metadataSync Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Temporary solution. Later relevant metadata actions will trigger sync in their scope only. ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "//api/v1/actions/organization/metadataSync" ``` ``` -------------------------------- ### POST /api/v1/actions/workspaces/{workspaceId}/metadataSync Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Temporary solution. Later relevant metadata actions will trigger it in its scope only. ```markdown ### Parameters - **workspaceId** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "//api/v1/actions/workspaces/{workspaceId}/metadataSync" ``` ``` -------------------------------- ### GET /api/v1/entities/notificationChannelIdentifiers Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json API endpoint for GET /api/v1/entities/notificationChannelIdentifiers ```markdown ### Parameters - **filter** (string, query, optional): Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123'). - **page** (integer, query, optional): Zero-based page index (0..N) - **size** (integer, query, optional): The size of the page to be returned - **sort** (array (string), query, optional): Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. - **metaInclude** (array (string (page|all|ALL)), query, optional): Include Meta objects. ### Responses #### 200 - Request successfully processed **JsonApiNotificationChannelIdentifierOutList** - **data** (array (JsonApiNotificationChannelIdentifierOutWithLinks)) (required) Array items: - **attributes** (object) - **allowedRecipients** (string (CREATOR|INTERNAL|EXTERNAL)): Allowed recipients of notifications from this channel. CREATOR - only the creator INTERNAL - all users within the organization EXTERNAL - all recipients including those outside the organization ("CREATOR"|"INTERNAL"|"EXTERNAL") - **description** (string) - **destinationType** (string (WEBHOOK|SMTP|DEFAULT_SMTP|IN_PLATFORM)) ("WEBHOOK"|"SMTP"|"DEFAULT_SMTP"|"IN_PLATFORM") - **name** (string) - **id** (string) (required): API identifier of an object (example: "id1") - **type** (string (notificationChannelIdentifier)) (required): Object type (example: "notificationChannelIdentifier") ("notificationChannelIdentifier") - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **links** (object) - **self** (string (uri)) (required): A string containing the link's URL. - **next** (string (uri)): A string containing the link's URL for the next page of data. - **meta** (object) - **page** (object) - **number** (integer (int32)): The number of the current page - **size** (integer (int32)): The size of the current page - **totalElements** (integer (int32)): The total number of elements - **totalPages** (integer (int32)): The total number of pages **JsonApiNotificationChannelIdentifierOutList** ### Example Usage ```bash curl -X GET "//api/v1/entities/notificationChannelIdentifiers?filter=string&page=0&size=20&sort=item1,item2&metaInclude=item1,item2" ``` ``` -------------------------------- ### POST /api/v1/ailake/services/{serviceId}/commands/{commandName}/run Source: https://www.gooddata.ai/docs/cloud/api-and-sdk/api/gooddata-cn-oapi-all-raw-schema.json (BETA) Runs a specific AI Lake service command. ```markdown ### Parameters - **serviceId** (string, path, required) - **commandName** (string, path, required) - **operation-id** (string, header, optional) ### Request Body **Content-Type:** application/json - **context** (object): The context to pass to the command - **payload** (object): Free-form JSON object (example: {}) ### Responses #### 202 - Accepted **Unit** ### Example Usage ```bash curl -X POST "//api/v1/ailake/services/{serviceId}/commands/{commandName}/run" \ -H "Content-Type: application/json" \ -d '{ "context": "value", "payload": "value" }' ``` ```